Create a EDD
curl --request POST \
--url https://api-sandbox.synctera.com/v0/edd \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"related_resource_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"additional_questions": [
{
"answer": "Since 2010",
"question": "Since when do you work in this position?",
"section": "reason"
}
],
"case_id": 50000000000,
"tenant": "abcdef_ghijkl"
}
'import requests
url = "https://api-sandbox.synctera.com/v0/edd"
payload = {
"related_resource_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"additional_questions": [
{
"answer": "Since 2010",
"question": "Since when do you work in this position?",
"section": "reason"
}
],
"case_id": 50000000000,
"tenant": "abcdef_ghijkl"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
related_resource_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
additional_questions: [
{
answer: 'Since 2010',
question: 'Since when do you work in this position?',
section: 'reason'
}
],
case_id: 50000000000,
tenant: 'abcdef_ghijkl'
})
};
fetch('https://api-sandbox.synctera.com/v0/edd', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.synctera.com/v0/edd",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'related_resource_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'additional_questions' => [
[
'answer' => 'Since 2010',
'question' => 'Since when do you work in this position?',
'section' => 'reason'
]
],
'case_id' => 50000000000,
'tenant' => 'abcdef_ghijkl'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.synctera.com/v0/edd"
payload := strings.NewReader("{\n \"related_resource_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"additional_questions\": [\n {\n \"answer\": \"Since 2010\",\n \"question\": \"Since when do you work in this position?\",\n \"section\": \"reason\"\n }\n ],\n \"case_id\": 50000000000,\n \"tenant\": \"abcdef_ghijkl\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api-sandbox.synctera.com/v0/edd")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"related_resource_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"additional_questions\": [\n {\n \"answer\": \"Since 2010\",\n \"question\": \"Since when do you work in this position?\",\n \"section\": \"reason\"\n }\n ],\n \"case_id\": 50000000000,\n \"tenant\": \"abcdef_ghijkl\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.synctera.com/v0/edd")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"related_resource_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"additional_questions\": [\n {\n \"answer\": \"Since 2010\",\n \"question\": \"Since when do you work in this position?\",\n \"section\": \"reason\"\n }\n ],\n \"case_id\": 50000000000,\n \"tenant\": \"abcdef_ghijkl\"\n}"
response = http.request(request)
puts response.read_body{
"reason": "CASE_REQUEST",
"related_resource_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"related_resource_type": "ACCOUNT",
"creation_time": "2010-05-06T12:23:34.321Z",
"deletion_time": "2010-05-06T12:23:34.321Z",
"id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"source_of_funds": "INVESTMENT",
"transaction_purpose": "Phone bill",
"additional_questions": [
{
"answer": "Since 2010",
"question": "Since when do you work in this position?",
"section": "reason"
}
],
"case_id": 50000000000,
"tenant": "abcdef_ghijkl"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}EDD
Create a EDD
Create a EDD
POST
/
edd
Create a EDD
curl --request POST \
--url https://api-sandbox.synctera.com/v0/edd \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"related_resource_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"additional_questions": [
{
"answer": "Since 2010",
"question": "Since when do you work in this position?",
"section": "reason"
}
],
"case_id": 50000000000,
"tenant": "abcdef_ghijkl"
}
'import requests
url = "https://api-sandbox.synctera.com/v0/edd"
payload = {
"related_resource_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"additional_questions": [
{
"answer": "Since 2010",
"question": "Since when do you work in this position?",
"section": "reason"
}
],
"case_id": 50000000000,
"tenant": "abcdef_ghijkl"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
related_resource_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
additional_questions: [
{
answer: 'Since 2010',
question: 'Since when do you work in this position?',
section: 'reason'
}
],
case_id: 50000000000,
tenant: 'abcdef_ghijkl'
})
};
fetch('https://api-sandbox.synctera.com/v0/edd', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.synctera.com/v0/edd",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'related_resource_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'additional_questions' => [
[
'answer' => 'Since 2010',
'question' => 'Since when do you work in this position?',
'section' => 'reason'
]
],
'case_id' => 50000000000,
'tenant' => 'abcdef_ghijkl'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.synctera.com/v0/edd"
payload := strings.NewReader("{\n \"related_resource_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"additional_questions\": [\n {\n \"answer\": \"Since 2010\",\n \"question\": \"Since when do you work in this position?\",\n \"section\": \"reason\"\n }\n ],\n \"case_id\": 50000000000,\n \"tenant\": \"abcdef_ghijkl\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api-sandbox.synctera.com/v0/edd")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"related_resource_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"additional_questions\": [\n {\n \"answer\": \"Since 2010\",\n \"question\": \"Since when do you work in this position?\",\n \"section\": \"reason\"\n }\n ],\n \"case_id\": 50000000000,\n \"tenant\": \"abcdef_ghijkl\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.synctera.com/v0/edd")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"related_resource_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"additional_questions\": [\n {\n \"answer\": \"Since 2010\",\n \"question\": \"Since when do you work in this position?\",\n \"section\": \"reason\"\n }\n ],\n \"case_id\": 50000000000,\n \"tenant\": \"abcdef_ghijkl\"\n}"
response = http.request(request)
puts response.read_body{
"reason": "CASE_REQUEST",
"related_resource_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"related_resource_type": "ACCOUNT",
"creation_time": "2010-05-06T12:23:34.321Z",
"deletion_time": "2010-05-06T12:23:34.321Z",
"id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"source_of_funds": "INVESTMENT",
"transaction_purpose": "Phone bill",
"additional_questions": [
{
"answer": "Since 2010",
"question": "Since when do you work in this position?",
"section": "reason"
}
],
"case_id": 50000000000,
"tenant": "abcdef_ghijkl"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}Authorizations
Body
application/json
EDD to create
- Account
- Transaction
- Business
- Customer
Submit additional information about an account.
Response
Created EDD
- Transaction
- Account
- Customer
- Business
Additional information submitted about the transaction.
Was this page helpful?

